> For the complete documentation index, see [llms.txt](https://docs.opencollective.com/help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.opencollective.com/help/contributing/development/readme-integration.md).

# README Integration

![](/files/-LWyKDLWyj_g1Pzy2a2G)

To get help generating an integration like [this](https://github.com/mochajs/mocha#backers) or [this](https://github.com/babel/babel#sponsors), follow these steps:

1. Install [Macdown](https://macdown.uranusjr.com/) to make it easy to compare PRs in the last step
2. Install `opencollective-setup`

   ```
   $ npm install -g opencollective-setup
   ```
3. Get a personal token from [GitHub's token page](https://github.com/settings/tokens). Check all the `repo` related permissions.
4. Create a file in your home directory (on Mac OS X or Linux) called `.opencollective.json` and add token in it:

   ```
   { "github_token": "[YOUR_TOKEN]" }
   ```
5. Run cli for a given repo:

   ```
   $ opencollective-setup setup -r [repo_owner/repo_name] -i
   ```

   Ex: To integrate with MochaJS (<https://github.com/mochajs/mocha>), run:

   ```
   opencollective-setup -r mochajs/mocha -i
   ```

   `-i` makes it interactive.
6. Answer questions asked by the script - usually defaults are good to go with. Verify that the slug of the project is the same as the one in the database (script guesses at it and is usually right).
7. Script attempts to do several integrations across README.md, CONTRIBUTORS.md and ISSUE\_TEMPLATE.md. The most important ones are the two integrations on README.md: backers and sponsor badges at the top and adding backer/sponsor section near the bottom.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.opencollective.com/help/contributing/development/readme-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
